> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transaction.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Checkout

> Get payment checkout information

Get checkout information for a payment.

<ParamField path="paymentId" type="string" required>
  Payment ID to get checkout info for
</ParamField>

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="data.id" type="string">
  Payment ID
</ResponseField>

<ResponseField name="data.status" type="string">
  Payment status
</ResponseField>

<ResponseField name="data.amountCrypto" type="string">
  Amount in cryptocurrency
</ResponseField>

<ResponseField name="data.crypto" type="string">
  Selected cryptocurrency
</ResponseField>

<ResponseField name="data.address" type="string">
  Cryptocurrency address
</ResponseField>

<ResponseField name="data.checkoutUrl" type="string">
  Checkout URL for customer
</ResponseField>

<ResponseField name="data.expiresAt" type="string">
  Payment expiration timestamp
</ResponseField>

## Example Request

```bash theme={null}
curl -X GET "https://api.transaction.gg/payment/checkout?paymentId=pay_abc123def456"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "id": "pay_abc123def456",
    "status": "pending",
    "amountCrypto": "0.00012345",
    "crypto": "BTC",
    "address": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
    "checkoutUrl": "https://checkout.transaction.gg/pay_abc123def456",
    "expiresAt": "2024-01-01T01:00:00Z"
  }
}
```

## Error Responses

<ResponseExample name="Payment Not Found">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "status": 404,
      "code": "PAYMENT_NOT_FOUND",
      "message": "Payment not found"
    },
    "data": null
  }
  ```
</ResponseExample>
